KAboutContainer Class Reference

`#include <kaboutdialog.h>`

Inherits QFrame.

## Signals

void | urlClick (const QString &url)
void | mailClick (const QString &name, const QString &address)

## Public Member Functions

| KAboutContainer (QWidget *parent=0, const char *name=0, int margin=0, int spacing=0, int childAlignment=AlignCenter, int innerAlignment=AlignCenter)
void | addWidget (QWidget *widget)
void | addPerson (const QString &name, const QString &email, const QString &url, const QString &task, bool showHeader=false, bool showframe=false, bool showBold=false)
void | addTitle (const QString &title, int alignment=AlignLeft, bool showframe=false, bool showBold=false)
void | addImage (const QString &fileName, int alignment=AlignLeft)
virtual QSize | sizeHint (void) const
virtual QSize | minimumSizeHint (void) const

## Protected Member Functions

virtual void | childEvent (QChildEvent *e)

## Detailed Description

KAboutContainer can be used to make a application specific AboutDialog.

Definition at line 50 of file kaboutdialog.h.

The documentation for this class was generated from the following files:

- kaboutdialog.h
- kaboutdialog.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys